Name:		lxpanel
Version:	0.7.2
Release:	%mkrel 1
Summary:	Lightweight X11 desktop panel based on fbpanel
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		http://www.lxde.org

Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
Patch0:		%{name}-0.7.1-mga-battery-monitor.patch
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libmenu-cache)
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libfm-gtk)
BuildRequires:	libalsa-devel
BuildRequires:	intltool
BuildRequires:	docbook-to-man
BuildRequires:	gettext-devel
BuildRequires:	libiw-devel
BuildRequires:	automake

Requires:	desktop-common-data
Requires:	libnotify
Recommends:	pcmanfm

%description
LXPanel is a lightweight X11 desktop panel contains:
1. User-friendly application menu automatically generated from *.desktop
   files on the system.
2. Launcher bar (Small icons clicked to launch apps)
3. Task bar supporting urgency hint (Can flash when gaim gets new
   incoming messages)
4. Notification area (System tray)
5. Digital clock
6. Run dialog (A dialog let you type a command and run, can be called in
   external programs)
7. Volume control plug-in (optional, written by jserv)
8. lxpanelctl, an external controller let you control lxpanel in other
   programs.

%package devel
Summary: Development files for lxpanel
Group: Graphical desktop/Other

%description devel
This package contains development files needed for building lxde plugins.

%prep
%setup -q
%patch0 -p1

%build
./autogen.sh
%configure2_5x
%make

%install
%makeinstall_std

%{find_lang} %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/lxpanelctl
%{_sysconfdir}/xdg/%{name}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/batt.so
%{_libdir}/%{name}/plugins/cpu.so
%{_libdir}/%{name}/plugins/cpufreq.so
%{_libdir}/%{name}/plugins/deskno.so
%{_libdir}/%{name}/plugins/kbled.so
%{_libdir}/%{name}/plugins/monitors.so
%{_libdir}/%{name}/plugins/netstat.so
%{_libdir}/%{name}/plugins/netstatus.so
%{_libdir}/%{name}/plugins/thermal.so
%{_libdir}/%{name}/plugins/volumealsa.so
%{_libdir}/%{name}/plugins/weather.so
%{_libdir}/%{name}/plugins/xkb.so
%{_datadir}/%{name}
%{_mandir}/man1/*

%files devel
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Oct 26 2014 alexl <alexl> 0.7.2-1.mga5
+ Revision: 793542
- delete old upstream patch
- version 0.7.2 (mga#14369)

* Wed Oct 22 2014 alexl <alexl> 0.7.1-1.mga5
+ Revision: 792498
- drop all old patches
- fix upstream bug #679 (lxpanel 0.7.1 covers maximized windows)
- add requires libnotify (used by battery-monitor.patch)
- version 0.7.1 (mga#14162)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.12-8.mga5
+ Revision: 744260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.12-7.mga5
+ Revision: 682081
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Jan 19 2014 colin <colin> 0.5.12-6.mga4
+ Revision: 566977
- Fix launching .desktop files with %%c. Patch from Max Krummenacher mga#11951

* Wed Dec 04 2013 colin <colin> 0.5.12-5.mga4
+ Revision: 554922
- Fix double fork patch again to pass the correct error pointer. mga#11184

* Tue Oct 22 2013 umeabot <umeabot> 0.5.12-4.mga4
+ Revision: 542064
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 colin <colin> 0.5.12-3.mga4
+ Revision: 496835
- Do not double-fork on menu+panel launchers (mga#11184)

* Tue Jul 30 2013 fwang <fwang> 0.5.12-2.mga4
+ Revision: 461237
- rebuild for new menu-cache

* Mon Jun 24 2013 fwang <fwang> 0.5.12-1.mga4
+ Revision: 446170
- new version 0.5.12

* Sat Jan 12 2013 umeabot <umeabot> 0.5.10-3.mga3
+ Revision: 359180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 0.5.10-2.mga3
+ Revision: 344346
- add automake 1.13 in patch4

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 0.5.10-1.mga3
+ Revision: 283904
- Fix building with automake-1.12
- New version

* Mon May 28 2012 obgr_seneca <obgr_seneca> 0.5.9-1.mga3
+ Revision: 248377
- added missing BR for wnck-devel
- new version 0.5.9
- removed old patches
- rediffed battery monitor patch
- removed customization patch, it's done with lxde-common package

* Wed May 16 2012 obgr_seneca <obgr_seneca> 0.5.8-7.mga2
+ Revision: 235787
- added volume control to lxpanel (bug #5935)

* Thu Apr 26 2012 obgr_seneca <obgr_seneca> 0.5.8-6.mga2
+ Revision: 233343
- added missing BR for gettext-devel
- fixed translation syntax for clock help mga bug #5545
- fixing a random high cpu usage in lxpanel
- bug reported at several distros, Mga Bug #2203
- removed Require for libnotify
- it's already required by lxde-common
- little changes to battery monitor patch

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 0.5.8-4.mga2
+ Revision: 171910
- use libnotify for low battery warning

* Wed Nov 23 2011 obgr_seneca <obgr_seneca> 0.5.8-3.mga2
+ Revision: 171339
-added patch for the battery monitor

* Thu Nov 17 2011 obgr_seneca <obgr_seneca> 0.5.8-2.mga2
+ Revision: 168619
- little changes in customization patch

  + fwang <fwang>
    - new version 0.5.8

* Mon Jul 11 2011 ahmad <ahmad> 0.5.6-3.mga2
+ Revision: 122063
- Build all the panel plugins (mga#1735)

* Sat Feb 05 2011 ahmad <ahmad> 0.5.6-2.mga1
+ Revision: 47034
- drop patch2, not needed any more
- add patch1 from upstream to fix build
- we now use @prefix@/share/icons/mageia.png
- imported package lxpanel


* Fri Jul 23 2010 Funda Wang <fwang@mandriva.org> 0.5.6-1mdv2011.0
+ Revision: 557175
- new version 0.5.6

* Sun Feb 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.5-2mdv2010.1
+ Revision: 512522
- rebuild for new menu-cache

* Wed Feb 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.5-1mdv2010.1
+ Revision: 507084
- drop patch 5 not needed any more (too)
- new upstream release 0.5.5
- drop patch 10, not needed any more

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 0.5.4.1-1mdv2010.1
+ Revision: 478427
- new version 0.5.4.1

* Fri Dec 11 2009 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 476270
- fix build
- new versino 0.5.4

* Sun Sep 27 2009 Funda Wang <fwang@mandriva.org> 0.5.3-2mdv2010.0
+ Revision: 449693
- use mandriva star

* Sun Aug 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.3-1mdv2010.0
+ Revision: 413466
- update to new version 0.5.3

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 411581
- new version 0.5.2

* Wed Aug 05 2009 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 409927
- new version 0.5.1

* Fri Jul 31 2009 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2010.0
+ Revision: 405105
- new version 0.5.0

* Tue May 05 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 372056
- New version 0.4.1

* Tue Apr 21 2009 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 368477
- New version 0.4.0

* Mon Apr 06 2009 Funda Wang <fwang@mandriva.org> 0.3.999-2.1296.2mdv2009.1
+ Revision: 364427
- use lxterminal as its native terminal

* Mon Apr 06 2009 Funda Wang <fwang@mandriva.org> 0.3.999-2.1296.1mdv2009.1
+ Revision: 364376
- use upstream svn snapshot to fix various small bugs

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 0.3.999-1mdv2009.1
+ Revision: 333764
- New versino 0.3.999

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 0.3.99-1mdv2009.1
+ Revision: 312649
- bump BR of menu-cache
- drop old patches
- rediff customization patch
- use mandirva main menu rather than lxde's own menu
- New version 0.3.99
- drop upstream patches

* Sun Nov 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.8.1-4mdv2009.1
+ Revision: 299288
- fix icon for Education section (using Gnome's applications-science icon)
- request 16x16 icons for menu (from upstream SVN)

* Thu Oct 16 2008 Olivier Blin <oblin@mandriva.com> 0.3.8.1-3mdv2009.1
+ Revision: 294178
- do not drop icon extension, this breaks ooo-writer3.0
  (and XDG spec already forbids extension for non-absolute paths)
- fix support of Logout command in config file
- fix memory corruption in menu parsing (patch likely from Ander)

* Sun Sep 28 2008 Funda Wang <fwang@mandriva.org> 0.3.8.1-2mdv2009.0
+ Revision: 289022
- raise patch level

  + Olivier Blin <oblin@mandriva.com>
    - suggest pcmanfm, since it's used by default in the launchbar
    - use new path for firefox desktop file in launchbar

* Mon Jul 07 2008 Funda Wang <fwang@mandriva.org> 0.3.8.1-1mdv2009.0
+ Revision: 232481
- update to new version 0.3.8.1

* Thu Jul 03 2008 Funda Wang <fwang@mandriva.org> 0.3.8-1mdv2009.0
+ Revision: 230940
- BR intltool
- update to new version 0.3.8

* Mon Jun 09 2008 Funda Wang <fwang@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 217103
- There is no need disable ldflags
- drop patch3 , merged upstream
- New version 0.3.7

* Thu May 29 2008 Pascal Terjan <pterjan@mandriva.org> 0.3.6-3mdv2009.0
+ Revision: 213123
- Handle resolution changes

* Wed May 28 2008 Pascal Terjan <pterjan@mandriva.org> 0.3.6-2mdv2009.0
+ Revision: 212790
- Add a few categories for the menu

* Thu May 22 2008 Funda Wang <fwang@mandriva.org> 0.3.6-1mdv2009.0
+ Revision: 209961
- Bring back _disable_ld_no_undefined
- disable netstatus plugin, prefer netstat, as the latter is
  lxde native plugin.
- New version 0.3.6
- drop ld paras, it is not needed any more

* Wed May 21 2008 Pascal Terjan <pterjan@mandriva.org> 0.3.5.4-5mdv2009.0
+ Revision: 209825
- Disable no-undefined, it breaks build of plugins
- Fix windows not getting focus when un-minimized

  + Funda Wang <fwang@mandriva.org>
    - list individual files

* Mon May 05 2008 Funda Wang <fwang@mandriva.org> 0.3.5.4-4mdv2009.0
+ Revision: 201266
- enable all plugins

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.5.4-3mdv2009.0
+ Revision: 201128
- use customization too

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.5.4-2mdv2009.0
+ Revision: 200886
- BR iw-devel
- BR xpm
- add source and spec
- Created package structure for lxpanel.

